<template>
  <header>
    <nav class="navbar is-spaced" role="navigation" aria-label="main navigation">
      <div class="navbar-brand">
        <nuxt-link to="/" class="navbar-item">
          Scrapear
        </nuxt-link>

        <a role="button" class="navbar-burger burger"
          aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
        </a>
      </div>

      <div id="navbarBasicExample" class="navbar-menu">
        <div class="navbar-end">
          <nuxt-link to="/" class="navbar-item">
            Home
          </nuxt-link>

          <nuxt-link to="/table2csv" class="navbar-item">
            Table2CSV
          </nuxt-link>

          <nuxt-link to="/map-extractor" class="navbar-item">
            Maps extractor
          </nuxt-link>

          <a class="navbar-item">
            API
          </a>

          <a class="navbar-item gitlab"
            href="https://gitlab.com/pewen/scrapers/table2csv"
            target="_blank">
            <font-awesome-icon :icon="{ prefix: 'fab', iconName: 'gitlab' }"/>
          </a>
        </div>

      </div>
    </nav>
  </header>
</template>

<style lang="scss" scoped>
nav {
  background-color: transparent;

  .navbar-brand a {
    font-size: 1.5rem;
    font-weight: bold;
  }

  a {
    color: white;
    font-weight: bold;

    &:hover, &:focus {
      color: white;
      background-color: transparent;
    }
  }
}

.twitter:hover {
  color: #1da1f2;
}

.gitlab:hover {
  color: #fc6d26;
}
</style>
